## plasma-integration 5.8.6

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)

find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
find_package(Qt5Qml ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT Qt5Test_FOUND)
    message(STATUS "Qt5Test not found, autotests will not be built.")
    return()
endif()

if(NOT Qt5Qml_FOUND)
    message(STATUS "Qt5Qml not found, QML autotests will not be built.")
endif()

include_directories( ${Qt5Gui_PRIVATE_INCLUDE_DIRS} ${CMAKE_BINARY_DIR}/src/platformtheme )

set(CONFIGFILE "${CMAKE_CURRENT_SOURCE_DIR}/kdeplatformtheme_kdeglobals")
set(CHANGED_CONFIGFILE "${CMAKE_CURRENT_SOURCE_DIR}/kdeplatformtheme_changed_kdeglobals")
configure_file(kdeplatformtheme_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdeplatformtheme_config.h)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

macro(FRAMEWORKINTEGRATION_TESTS _testname)
    add_executable(${_testname} ${_testname}.cpp ${ARGN})
    set_target_properties(${_testname} PROPERTIES COMPILE_FLAGS "-DUNIT_TEST")
    add_test(frameworkintegration-${_testname} ${_testname})
    ecm_mark_as_test(${_testname})
    ecm_mark_nongui_executable(${_testname})
    target_link_libraries(${_testname} Qt5::Test Qt5::DBus Qt5::X11Extras KF5::ConfigWidgets KF5::ConfigCore KF5::IconThemes KF5::KIOFileWidgets KF5::I18n KF5::Notifications KF5::WindowSystem KF5::WaylandClient)
endmacro()

set(platformThemeSRCS
  ../src/platformtheme/kdeplatformtheme.cpp
  ../src/platformtheme/kfontsettingsdata.cpp
  ../src/platformtheme/khintssettings.cpp
  ../src/platformtheme/kdeplatformfiledialoghelper.cpp
  ../src/platformtheme/kdeplatformfiledialogbase.cpp
  ../src/platformtheme/kdeplatformsystemtrayicon.cpp
  ../src/platformtheme/kdirselectdialog.cpp
  ../src/platformtheme/kfiletreeview.cpp
  ../src/platformtheme/kwaylandintegration.cpp
  ../src/platformtheme/x11integration.cpp
)

frameworkintegration_tests(
  kdeplatformtheme_unittest
  ${platformThemeSRCS}
)

frameworkintegration_tests(
  kfontsettingsdata_unittest
  ../src/platformtheme/kfontsettingsdata.cpp
)

frameworkintegration_tests(
  kfiledialog_unittest
)

frameworkintegration_tests(
  ksni_unittest
)

frameworkintegration_tests(
  kdirselectdialog_unittest
  ../src/platformtheme/kdeplatformfiledialogbase.cpp
  ../src/platformtheme/kdirselectdialog.cpp
  ../src/platformtheme/kfiletreeview.cpp
)

frameworkintegration_tests(
  khintssettings_unittest
  ../src/platformtheme/khintssettings.cpp
)

if(Qt5Qml_FOUND)
    frameworkintegration_tests(kfiledialogqml_unittest)
    target_link_libraries(kfiledialogqml_unittest Qt5::Qml)
endif()

## plasma-integration 5.7.5

=== debian/changelog ===
plasma-integration (5.7.5-0ubuntu1) yakkety; urgency=medium

  [ Philip Muškovac ]
  * Add a conflict to appmenu-qt5 as an upstream recommended workaround
    to appmenu-qt5 breaking the plasma QPA plugin in plasma sessions by
    installing an environment script that overrides the used QPA plugin
    disregarding the target environment.
    (see #1307619)

  [ Rik Mills ]
  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:29:18 -0500

plasma-integration (5.7.2-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild against new QPlatformTheme ABI (LP: #1620870).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Thu, 08 Sep 2016 11:13:21 +0300

plasma-integration (5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:07:56 +0000

plasma-integration (5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 21:08:25 +0100

plasma-integration (5.6.4-0ubuntu2) UNRELEASED; urgency=medium

  * Add new required build dependency on breeze-dev

 -- Rik Mills <rik.mills88@gmail.com>  Sat, 11 Jun 2016 19:53:40 +0100

plasma-integration (5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Jonathan Riddell ]
  * Initial release.

  [ Bhushan Shah ]
  * Fix plasma-integration.install for other platforms

  [ Clive Johnston ]
  * New upstream release
  * Cherry picked install file from KDE Neon
  * Adding min version to kwayland-dev

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:25:36 -0700

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: breeze-dev (>= 4:5.7.5~),
               cmake (>= 2.8.12),
               dbus-x11,
               debhelper (>= 9),
               extra-cmake-modules (>= 5.24.0~),
               kio-dev (>= 5.24.0~),
               kwayland-dev (>= 4:5.24.0~),
               libkf5config-dev (>= 5.24.0~),
               libkf5configwidgets-dev (>= 5.24.0~),
               libkf5i18n-dev (>= 5.24.0~),
               libkf5iconthemes-dev (>= 5.24.0~),
               libkf5notifications-dev (>= 5.24.0~),
               libkf5widgetsaddons-dev (>= 5.24.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libxcursor-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration

Package: plasma-integration
Architecture: any
Depends: breeze,
         fonts-noto-hinted,
         fonts-oxygen,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: appmenu-qt5
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.

Package: plasma-integration-dbg
Section: debug
Priority: extra
Architecture: any
Depends: plasma-integration (= ${binary:Version}), ${misc:Depends}
Recommends: qtbase5-dbg
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=plasma-integration-dbg

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/plasma-integration-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/plasma-integration-([\d.]+)\.tar\.xz

## plasma-integration 5.8.6

=== debian/changelog ===
plasma-integration (5.8.6-1) unstable; urgency=medium

  * New upstream release (5.8.6)
  * Update build-deps and deps with the info from cmake
  * Add new patch: Drop-the-patch-version-for-breeze.patch

 -- Maximiliano Curia <maxy@debian.org>  Sun, 26 Mar 2017 15:40:34 +0200

plasma-integration (5.8.5-2) experimental; urgency=medium

  * Team upload
  * Bump minimum breeze-dev requirement to 4:5.8.5 to match new requirement

 -- Scott Kitterman <scott@kitterman.com>  Sat, 28 Jan 2017 12:10:33 -0500

plasma-integration (5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:21 +0100

plasma-integration (5.8.4-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:37:50 +0100

plasma-integration (5.8.2-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:26:54 +0200

plasma-integration (5.8.1-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 23:01:02 +0200

plasma-integration (5.8.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * New upstream release (5.8.0)
  * Bump group breaks (5.8)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:09:33 +0200

plasma-integration (5.8.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 Sep 2016 11:29:15 +0000

plasma-integration (5.7.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Sep 2016 13:47:25 +0000

plasma-integration (5.7.4-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Sat, 27 Aug 2016 17:26:33 +0200

plasma-integration (5.7.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 23 Aug 2016 17:28:59 +0000

plasma-integration (5.7.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Aug 2016 12:04:34 +0000

plasma-integration (5.7.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Jul 2016 13:47:55 +0000

plasma-integration (5.7.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 16:06:54 +0000

plasma-integration (5.7.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

  [ Maximiliano Curia ]
  * Add new build dependency

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Jul 2016 10:25:06 +0200

plasma-integration (5.7.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 04 Jul 2016 13:14:46 +0000

plasma-integration (5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 22 Jun 2016 16:23:55 +0200

plasma-integration (5.6.5-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Jun 2016 14:14:27 +0000

plasma-integration (5.6.4-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 16:26:00 +0200

plasma-integration (5.6.4-1) experimental; urgency=medium

  [ Jonathan Riddell ]
  * Initial release.

  [ Maximiliano Curia ]
  * New upstream release (5.6.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 May 2016 12:09:16 +0200

plasma-integration (5.6.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 May 2016 09:42:23 +0000

plasma-integration (5.6.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 19 Apr 2016 16:55:40 +0000

plasma-integration (5.6.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Apr 2016 11:44:46 +0000

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev (>= 4:5.8.0~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.17.0~),
               libkf5config-dev (>= 5.17.0~),
               libkf5configwidgets-dev (>= 5.17.0~),
               libkf5i18n-dev (>= 5.17.0~),
               libkf5iconthemes-dev (>= 5.17.0~),
               libkf5kio-dev (>= 5.17.0~),
               libkf5notifications-dev (>= 5.17.0~),
               libkf5wayland-dev (>= 4:5.5~),
               libkf5widgetsaddons-dev (>= 5.17.0~),
               libkf5windowsystem-dev (>= 5.17.0~),
               libqt5x11extras5-dev (>= 5.5.0~),
               libxcursor-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.5.0~),
               qtbase5-private-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-integration.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/plasma-integration.git

Package: plasma-integration
Architecture: any
Depends: breeze, ${misc:Depends}, ${shlibs:Depends}
Conflicts: appstream-qt5 (<= 0.3.0+16.04.20151130-0ubuntu1)
Recommends: fonts-hack-ttf, fonts-noto-hinted
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.
Breaks: plasma-desktop (<< 4:5.8), plasma-workspace (<< 4:5.8)

## plasma-integration 5.9.4

=== debian/changelog ===
plasma-integration (5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:57:47 +0000

plasma-integration (5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:42 +0000

plasma-integration (5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:52 +0000

plasma-integration (5.9.1-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:19:49 +0000

plasma-integration (5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:55:06 +0000

plasma-integration (5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:57 +0000

plasma-integration (5.8.4-0ubuntu2) UNRELEASED; urgency=medium

  * Adding optional build deps

 -- Clive Johnston <clivejo@kubuntu.org>  Mon, 12 Dec 2016 22:23:23 +0000

plasma-integration (5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Remove undesired debian Breaks after merge

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, dropping the -dbg package in the process

  [ Rik Mills ]
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:54:22 +0000

plasma-integration (5.7.4-0ubuntu1) UNRELEASED; urgency=medium
  
  [ Clive Johnston ]
  * Installing new files
  
  [ Philip Muškovac ]
  * Add a conflict to appmenu-qt5 as an upstream recommended workaround
    to appmenu-qt5 breaking the plasma QPA plugin in plasma sessions by
    installing an environment script that overrides the used QPA plugin
    disregarding the target environment.
    (see #1307619)

  [ Rik Mills ]
  * fonts-hack-ttf instead of oxygen
  * New upstream release (5.7.4)

 -- Rik Mills <rik.mills88@gmail.com>  Sun, 11 Sep 2016 23:49:43 +0000

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev (>= 4:5.9.4~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               fonts-hack-otf,
               fonts-hack-ttf,
               fonts-noto,
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5wayland-dev (>= 4:5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration

Package: plasma-integration
Architecture: any
Depends: breeze, fonts-noto-hinted, ${misc:Depends}, ${shlibs:Depends}
Recommends: fonts-hack-ttf
Conflicts: appmenu-qt5, appstream-qt5 (<= 0.3.0+16.04.20151130-0ubuntu1)
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.

## plasma-integration 5.9.5

=== debian/changelog ===
plasma-integration (5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)
  * Bump manually build depend on breeze to 4:5.9.5~

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:16:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-dev (>= 4:5.9.4~),
+Build-Depends: breeze-dev (>= 4:5.9.5~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),

## plasma-integration 5.10.5

=== debian/changelog ===
plasma-integration (5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:42 +0100

plasma-integration (5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:38 +0100

plasma-integration (5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:16:12 +0100

plasma-integration (5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:27 +0100

plasma-integration (5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:09:15 +0100

plasma-integration (5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:29 +0100

plasma-integration (5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)
  * Bump manually build depend on breeze to 4:5.9.5~

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:31:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-dev (>= 4:5.9.5~),
+Build-Depends: breeze-dev (>= 4:5.10.5~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
                fonts-hack-otf,
                fonts-hack-ttf,
                fonts-noto,
-               libkf5config-dev (>= 5.31.0~),
-               libkf5configwidgets-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5kio-dev (>= 5.31.0~),
-               libkf5notifications-dev (>= 5.31.0~),
-               libkf5wayland-dev (>= 4:5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libkf5windowsystem-dev (>= 5.31.0~),
+               libkf5config-dev (>= 5.36.0~),
+               libkf5configwidgets-dev (>= 5.36.0~),
+               libkf5i18n-dev (>= 5.36.0~),
+               libkf5iconthemes-dev (>= 5.36.0~),
+               libkf5kio-dev (>= 5.36.0~),
+               libkf5notifications-dev (>= 5.36.0~),
+               libkf5wayland-dev (>= 4:5.36.0~),
+               libkf5widgetsaddons-dev (>= 5.36.0~),
+               libkf5windowsystem-dev (>= 5.36.0~),
                libqt5x11extras5-dev (>= 5.6.1~),
                libxcursor-dev,
                pkg-config,

## plasma-integration 5.12.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(PlasmaIntegration)
set(PROJECT_VERSION "5.12.4")
set(PROJECT_VERSION_MAJOR 5)

include(FeatureSummary)
find_package(ECM 5.17.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

set(REQUIRED_QT_VERSION 5.9.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus X11Extras QuickControls2)

set(KF5_DEP_VERSION "5.33.0")

find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
                Config ConfigWidgets I18n IconThemes KIO Notifications Wayland
                WidgetsAddons WindowSystem ConfigWidgets
)

find_package(XCB COMPONENTS XCB)
set_package_properties(XCB PROPERTIES
    DESCRIPTION "X protocol C-language Binding"
    URL "http://xcb.freedesktop.org"
    TYPE REQUIRED
    PURPOSE "Required to pass style properties to native Windows on X11 Platform"
)

find_package(Breeze ${PROJECT_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE REQUIRED
                       PURPOSE "For setting the default QStyle name")

# dependencies for QPA plugin
find_package(Qt5ThemeSupport REQUIRED)
set(QT5PLATFORMSUPPORT_LIBS Qt5ThemeSupport::Qt5ThemeSupport)

add_definitions(-DTRANSLATION_DOMAIN=\"plasmaintegration5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()
add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

find_package(FontNotoSans)
set_package_properties(FontNotoSans PROPERTIES
    PURPOSE "Default sans-serif font -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_FontNotoSans=true to mark it ignored."
    URL "https://www.google.com/get/noto/"
    TYPE RUNTIME
)
find_package(FontHack)
set_package_properties(FontHack PROPERTIES
    PURPOSE "Default monospace font -- this is not detected automatically, pass -DCMAKE_DISABLE_FIND_PACKAGE_FontHack=true to mark it ignored."
    URL "http://sourcefoundry.org/hack/"
    TYPE RUNTIME
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -13,13 +13,15 @@
     message(STATUS "Qt5Qml not found, QML autotests will not be built.")
 endif()
 
-include_directories( ${Qt5Gui_PRIVATE_INCLUDE_DIRS} ${CMAKE_BINARY_DIR}/src/platformtheme )
+include_directories( ${Qt5Gui_PRIVATE_INCLUDE_DIRS} ${Qt5PlatformSupport_PRIVATE_INCLUDE_DIRS} ${CMAKE_BINARY_DIR}/src/platformtheme )
 
 set(CONFIGFILE "${CMAKE_CURRENT_SOURCE_DIR}/kdeplatformtheme_kdeglobals")
 set(CHANGED_CONFIGFILE "${CMAKE_CURRENT_SOURCE_DIR}/kdeplatformtheme_changed_kdeglobals")
 configure_file(kdeplatformtheme_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdeplatformtheme_config.h)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
+# qdbusmenubar uses them
+remove_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
 
 macro(FRAMEWORKINTEGRATION_TESTS _testname)
     add_executable(${_testname} ${_testname}.cpp ${ARGN})
@@ -27,10 +29,11 @@
     add_test(frameworkintegration-${_testname} ${_testname})
     ecm_mark_as_test(${_testname})
     ecm_mark_nongui_executable(${_testname})
-    target_link_libraries(${_testname} Qt5::Test Qt5::DBus Qt5::X11Extras KF5::ConfigWidgets KF5::ConfigCore KF5::IconThemes KF5::KIOFileWidgets KF5::I18n KF5::Notifications KF5::WindowSystem KF5::WaylandClient)
+    target_link_libraries(${_testname} Qt5::Test Qt5::DBus Qt5::X11Extras Qt5::QuickControls2 ${QT5PLATFORMSUPPORT_LIBS} KF5::ConfigWidgets KF5::ConfigCore KF5::IconThemes KF5::KIOFileWidgets KF5::I18n KF5::Notifications KF5::WindowSystem KF5::WaylandClient XCB::XCB)
 endmacro()
 
 set(platformThemeSRCS
+  ../src/platformtheme/qdbusmenubar.cpp # fork of Qt's qdbusmenubar with some added setters for our convenience
   ../src/platformtheme/kdeplatformtheme.cpp
   ../src/platformtheme/kfontsettingsdata.cpp
   ../src/platformtheme/khintssettings.cpp
@@ -74,6 +77,8 @@
 )
 
 if(Qt5Qml_FOUND)
+    add_test(NAME qmltests COMMAND qmltestrunner WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
+
     frameworkintegration_tests(kfiledialogqml_unittest)
     target_link_libraries(kfiledialogqml_unittest Qt5::Qml)
 endif()

=== src/platformtheme/CMakeLists.txt ===
find_package(X11)
set_package_properties(X11 PROPERTIES DESCRIPTION "Required for updating the Cursor theme on X11"
                        URL "http://www.x.org"
                        TYPE REQUIRED
                        )
set(HAVE_X11 ${X11_FOUND})
if(HAVE_X11)
  find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)

  find_package(XCB COMPONENTS XCB)
  set_package_properties(XCB PROPERTIES TYPE REQUIRED)
endif()

configure_file(config-platformtheme.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-platformtheme.h )

# qdbusmenubar uses them
remove_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)


include_directories(${Qt5Core_PRIVATE_INCLUDE_DIRS})
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})

set(platformtheme_SRCS
    qdbusmenubar.cpp # fork of Qt's qdbusmenubar with some added setters for our convenience
    kdeplatformtheme.cpp
    kfontsettingsdata.cpp
    khintssettings.cpp
    kdeplatformfiledialoghelper.cpp
    kdeplatformfiledialogbase.cpp
    kdeplatformsystemtrayicon.cpp
    kfiletreeview.cpp
    kdirselectdialog.cpp
    kwaylandintegration.cpp
    x11integration.cpp
    main.cpp
)

add_library(KDEPlasmaPlatformTheme MODULE ${platformtheme_SRCS})

target_link_libraries(KDEPlasmaPlatformTheme
    PRIVATE
        Qt5::DBus
        Qt5::X11Extras
        Qt5::QuickControls2
        KF5::ConfigWidgets
        KF5::ConfigCore
        KF5::IconThemes
        KF5::KIOFileWidgets # KFileFilterCombo, KDirSortFilterProxyModel, KRecentDirs
        KF5::KIOWidgets
        KF5::XmlGui
        KF5::I18n
        KF5::Notifications
        KF5::WindowSystem
        KF5::WaylandClient
        XCB::XCB
        ${QT5PLATFORMSUPPORT_LIBS}

)

if(HAVE_X11)
  target_link_libraries(KDEPlasmaPlatformTheme PRIVATE Qt5::X11Extras ${X11_Xcursor_LIB} ${XCB_XCB_LIBRARY})
endif()

install(TARGETS KDEPlasmaPlatformTheme DESTINATION ${KDE_INSTALL_QTPLUGINDIR}/platformthemes)

install(FILES fonts_global_toolbar.upd fonts_global.upd fonts_akregator.upd fonts_kate.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS fonts_global.pl fonts_akregator.pl fonts_kate.pl DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

=== debian/changelog ===
plasma-integration (5.12.4-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 14 Apr 2018 22:00:30 -0500

plasma-integration (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)
  * Sync changes from https://phabricator.kde.org/D10680
    'Reduce the dependency burden of plasma-integration'

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:54:38 +0100

plasma-integration (5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:49:54 +0000

plasma-integration (5.12.2-0ubuntu2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:49:45 -0600

plasma-integration (5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:29 +0000

plasma-integration (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:31 +0000

plasma-integration (5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:50:58 +0000

plasma-integration (5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:39:42 +0000

plasma-integration (5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:16:09 -0600

plasma-integration (5.11.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.10.95)
  * Add explicit build depend on QuickControls2
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:59:06 +0000

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev (>= 4:5.12.4~),
               cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.42.0~),
               fonts-hack-otf,
               fonts-hack-ttf,
               fonts-noto,
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5wayland-dev (>= 4:5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~),
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration

Package: plasma-integration
Architecture: any
Depends: qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-controls-styles-breeze,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: breeze-icon-theme,
            fonts-hack-ttf,
            fonts-noto-hinted,
            kde-style-breeze
Conflicts: appmenu-qt5, appstream-qt5 (<= 0.3.0+16.04.20151130-0ubuntu1)
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable auto tests at build time
	:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma/([\d.]+)/plasma-integration-([\d.]+)\.tar\.xz

## plasma-integration 5.12.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8.12)
 
 project(PlasmaIntegration)
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.7")
 set(PROJECT_VERSION_MAJOR 5)
 
 include(FeatureSummary)

=== debian/changelog ===
plasma-integration (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:00 +0100

plasma-integration (5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:29 +0100

plasma-integration (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:43 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: breeze-dev (>= 4:5.12.4~),
+Build-Depends: breeze-dev (>= 4:5.12.7~),
                cmake (>= 2.8.12),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.42.0~),
@@ -26,7 +26,7 @@
                qtbase5-dev (>= 5.6.1~),
                qtbase5-private-dev (>= 5.6.1~),
                qtdeclarative5-dev,
-               qtquickcontrols2-5-dev
+               qtquickcontrols2-5-dev,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration

## plasma-integration 5.13.5

=== debian/changelog ===
plasma-integration (5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Don't use Debian group breaks.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:33 +0100

plasma-integration (5.13.5-1) unstable; urgency=medium

  * New revision
  * Update fonts-hack recommends (Closes: 907280)
  * New upstream release (5.13.5).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:41 +0200

plasma-integration (5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Don't use Debian group breaks.
    - debian/control: Recommends fonts-hack instead of transitional
      fonts-hack-ttf.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 28 Aug 2018 15:44:06 +0100

plasma-integration (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Update build-deps and deps with the info from cmake
  * Refresh patches
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:16 +0200

plasma-integration (5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:42:43 +0100

plasma-integration (5.13.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:37 +0100

plasma-integration (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Refresh patch
  * Bump group breaks (5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:18 +0200

plasma-integration (5.12.6-0ubuntu2) cosmic; urgency=medium

  * No-change rebuild against qtbase-abi-5-11-0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 30 Jun 2018 23:56:31 -0500

plasma-integration (5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:31:49 +0100

plasma-integration (5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * Refresh patches
  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Refresh patch
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:07 +0200

plasma-integration (5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:24:47 +0100

plasma-integration (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Rediff patches
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:01 +0100

plasma-integration (5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:49 +0100

plasma-integration (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Rediff patches
  * Bump kwayland build depends version
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:01 +0100

plasma-integration (5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.2.
  * Add qml-module-org-kde-qqc2desktopstyle runtime dependency
  * Refresh patches
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:13 -0300

plasma-integration (5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:40 +0200

plasma-integration (5.10.5-1) experimental; urgency=medium

  * New upstream release (5.10.3).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * Sync debian/watch with neon
  * Refresh patch
  * Add pkg-config missing build dep
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * Update build-deps and deps with the info from cmake
  * Refresh patch
  * New upstream release (5.10.5).
  * Refresh patch
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:29:28 +0200

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev (>= 4:5.13.5~),
               cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5iconthemes-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5notifications-dev (>= 5.42.0~),
               libkf5wayland-dev (>= 4:5.42.0~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               libkf5windowsystem-dev (>= 5.42.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.9.0~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.9.0~),
               qtquickcontrols2-5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-integration

Package: plasma-integration
Architecture: any
Depends: breeze (>= 4:5.13),
         qml-module-org-kde-qqc2desktopstyle,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: appstream-qt5 (<= 0.3.0+16.04.20151130-0ubuntu1)
Recommends: fonts-hack, fonts-noto-hinted
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.

## plasma-integration 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,32 +1,25 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.0)
 
 project(PlasmaIntegration)
-set(PROJECT_VERSION "5.12.7")
+set(PROJECT_VERSION "5.14.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-include(FeatureSummary)
-find_package(ECM 5.17.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
-feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
+set(QT_MIN_VERSION "5.11.0")
+set(KF5_MIN_VERSION "5.50.0")
 
+find_package(ECM ${KF5_MIN_VERSION}  REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(FeatureSummary)
+include(GenerateExportHeader)
 
-include(GenerateExportHeader)
-include(ECMPackageConfigHelpers)
-include(ECMSetupVersion)
-include(ECMGenerateHeaders)
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Widgets DBus X11Extras QuickControls2)
+find_package(Qt5Gui ${QT_MIN_VERSION} CONFIG REQUIRED Private)
 
-include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(KDECMakeSettings)
-
-set(REQUIRED_QT_VERSION 5.9.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets DBus X11Extras QuickControls2)
-
-set(KF5_DEP_VERSION "5.33.0")
-
-find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
                 Config ConfigWidgets I18n IconThemes KIO Notifications Wayland
                 WidgetsAddons WindowSystem ConfigWidgets
 )
@@ -39,7 +32,7 @@
     PURPOSE "Required to pass style properties to native Windows on X11 Platform"
 )
 
-find_package(Breeze ${PROJECT_VERSION} CONFIG)
+find_package(Breeze 5 CONFIG)
 set_package_properties(Breeze PROPERTIES
                        TYPE REQUIRED
                        PURPOSE "For setting the default QStyle name")
@@ -69,4 +62,4 @@
     TYPE RUNTIME
 )
 
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/platformtheme/CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
                         )
 set(HAVE_X11 ${X11_FOUND})
 if(HAVE_X11)
-  find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED X11Extras)
+  find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED X11Extras)
 
   find_package(XCB COMPONENTS XCB)
   set_package_properties(XCB PROPERTIES TYPE REQUIRED)
@@ -16,9 +16,6 @@
 # qdbusmenubar uses them
 remove_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS)
 
-
-include_directories(${Qt5Core_PRIVATE_INCLUDE_DIRS})
-include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})
 
 set(platformtheme_SRCS
     qdbusmenubar.cpp # fork of Qt's qdbusmenubar with some added setters for our convenience
@@ -39,6 +36,7 @@
 
 target_link_libraries(KDEPlasmaPlatformTheme
     PRIVATE
+        Qt5::GuiPrivate
         Qt5::DBus
         Qt5::X11Extras
         Qt5::QuickControls2

=== debian/changelog ===
plasma-integration (5.14.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 12:07:43 +0800

plasma-integration (5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:06 -0300

plasma-integration (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Bump group breaks (5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:33 -0300

=== debian/control ===
Source: plasma-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev (>= 4:5.13~),
               cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.50.0~),
               libkf5config-dev (>= 5.50.0~),
               libkf5configwidgets-dev (>= 5.50.0~),
               libkf5i18n-dev (>= 5.50.0~),
               libkf5iconthemes-dev (>= 5.50.0~),
               libkf5kio-dev (>= 5.50.0~),
               libkf5notifications-dev (>= 5.50.0~),
               libkf5wayland-dev (>= 4:5.50.0~),
               libkf5widgetsaddons-dev (>= 5.50.0~),
               libkf5windowsystem-dev (>= 5.50.0~),
               libqt5x11extras5-dev (>= 5.11.0~),
               libxcursor-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.11.0~),
               qtbase5-private-dev,
               qtdeclarative5-dev (>= 5.11.0~),
               qtquickcontrols2-5-dev (>= 5.11.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-integration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-integration.git

Package: plasma-integration
Architecture: any
Depends: breeze (>= 4:5.14),
         qml-module-org-kde-qqc2desktopstyle,
         ${misc:Depends},
         ${shlibs:Depends},
Conflicts: appstream-qt5 (<= 0.3.0+16.04.20151130-0ubuntu1)
Recommends: fonts-hack, fonts-noto-hinted
Description: Qt Platform Theme integration plugins for KDE Plasma
 A plugin to provide Qt Platform Theme integration for the Plasma
 workspace.
Breaks: plasma-desktop (<< 4:5.14), plasma-workspace (<< 4:5.14)
